Bug 77170 - Wine does not integrate properly with GNOME desktop
Wine does not integrate properly with GNOME desktop
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: wine (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-02 00:23 EST by l87qc
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-27 08:55:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description l87qc 2002-11-02 00:23:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Under KDE, Wine integrates completely with the window manager.  Wine windows
appear side-by-side with KDE windows in "managed" mode, and Windows system tray
activity is reproduced in the KDE panel.  Under GNOME, however, there is
seemingly no integration -- a "wine-systray" window opens in lieu of having
system tray events appear in the GNOME panel, and windows do not behave
properly.  Under some circumstances, multiple windows open when one was
requested; in others, Wine has trouble opening two Windows programs simultaneously.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Prerequisite:  Wine must be running in "Managed" mode.

1.Install WinMX from http://www.winmx.com.
2.(If you really want to USE WinMX and not just reproduce the bug, you want to
use the instructions from Frank's Corner to get the proper DLLs working)
3.Install and run WinMX under Wine in GNOME.  This will reproduce the primary
windowing errors.
4.Install and download KaZaA Lite
5.Launch KaZaA Lite while WinMX is running.  This demonstrates the inability to
run 2 Windows programs side-by-side.
	

Actual Results:  When WinMX itself is launched, three windows open.  A tiny,
unsizeable "wine-systray" window opens, which ostensibly should hold Windows
system tray events.  A large, fully resizeable (and otherwise empty) window
opens.  And inside the second window, WinMX opens.

If you minimize or close the second window, the third (main) window minimizes or
closes as well.  You CAN resize the second window without affecting the third,
but this is improper behavior.

With WinMX open, KaZaA will fail to start.  With WinMX closed, it starts properly.

Expected Results:  A single, sizeable and minimizeable WinMX window should
appear, with system tray events appearing in the GNOME panel.  KaZaA should be
able to open side-by-side with WinMX.

Additional info:
Comment 1 Karsten Hopp 2004-01-27 08:55:15 EST
wine isn't part of any supported product from Red Hat anymore

Note You need to log in before you can comment on or make changes to this bug.